
Figure - Bug #114213
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 114212 (New): V4.0专项--BSP专项--性能测试

【AF】【EVT1】【专项】【响应时间】护眼模式切换：实测时间为：224ms，目标时间：小于50ms
2022-11-30 10:38 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-11-30

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: 01.00.X101_0052.X101

Resolution: WONTFIX Degrated: No

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

使用user版本测试

【测试步骤】

1、重启系统

2、不连接任何网络

3、按下到界面开始响应

4、重复步骤1-3，测试5组数据取平均值

开始计时：点击护眼模式，坐标触摸坐标显示瞬间

停止计时：护眼模式开关由已关闭->转成已开启瞬间

【预期结果】

小于50ms

【实际结果】

224ms

测试视频：ftp://cdiot@192.168.87.46/Figure/video/C0003.MP4 （250帧）

3658-3714  视频3

224ms

History

#1 - 2022-11-30 16:23 - CDTS_TEST 王成

- Severity changed from Normal to Critical

#2 - 2022-12-05 19:47 - CD SYSTEM-胡兵

- Category changed from BSP to SYSTEM

- Assignee changed from CD BSP-唐金泽 to 移动测试一组_CDTS 刘强

- Need_Info changed from -- to TEST

Hi 刘强

请提供video的同时，提供对应的tlog日志及systrace文件
Thanks.

#3 - 2022-12-06 11:42 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-胡兵

video+tlog+systrace

ftp://cdiot@192.168.87.46/Figure/video/performance/

#4 - 2022-12-06 21:37 - CD SYSTEM-胡兵

- Subject changed from 【BSP】【EVT1】【专项】【响应时间】护眼模式切换：实测时间为：224ms，目标时间：小于50ms to 【AF】【EVT1】【专项】【

响应时间】护眼模式切换：实测时间为：224ms，目标时间：小于50ms

- Category changed from SYSTEM to CD-APP

- Assignee changed from CD SYSTEM-胡兵 to CD FW 曹覃刚

- Need_Info changed from TEST to --

Hi 覃刚

按照以下计算方式，那么纯粹是UI动画的切换时长，并非实际护眼模式切换的延时,请分析下此切换动画时长问题

  开始计时：点击护眼模式，坐标触摸坐标显示瞬间

  停止计时：护眼模式开关由已关闭->转成已开启瞬间

Thanks.

#5 - 2022-12-07 10:01 - CD FW 曹覃刚

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

#6 - 2022-12-08 10:38 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#7 - 2022-12-08 10:45 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#8 - 2022-12-13 10:47 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

■ Current conclusion

■ My analysis

经过分析，Settings 在护眼模式开启关闭切换过程中并不存在动画，实际切换耗时应该是硬件调用处理过程耗时，经测试验证联想-小新 pro的测试结果

在200ms，因此护眼模式切换响应时间在正常范围。

■ Next action

测试处理。
#9 - 2022-12-21 09:52 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

以联想-小新 pro的测试结果为对比数据，200ms，故不修改

#10 - 2022-12-21 09:52 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
